package client.gui.container;

import common.inventory.ContainerDispenser;
import common.inventory.IInventory;
import common.inventory.InventoryPlayer;

public class GuiDispenser extends GuiContainer {
	private final InventoryPlayer playerInv;
	private final IInventory dispenser;

	public GuiDispenser(InventoryPlayer playerInv, IInventory dispenser) {
		super(new ContainerDispenser(playerInv, dispenser));
		this.playerInv = playerInv;
		this.dispenser = dispenser;
	}

	public void addElements() {
		this.label(this.dispenser.getCommandName(), 8, 6);
		this.label(this.playerInv.getCommandName(), 8, this.ySize - 96 + 2);
	}
}
